import request from '@/utils/request'
const service_name = "oil-mongo-log"
const group_name = "syncSitePrice" 
export default {
	//查询所有油站信息 包含油价 (无鉴权 免登陆)
	getAllSite (data) {
	  return request({
	    url: `/${service_name}/${group_name}/getAllSite`,
	    method: 'post',
		data:data
	  })
	},	
	//查询所有油站信息 包含油价 (鉴权 需登录)
	getSite (data) {
	  return request({
	    url: `/${service_name}/${group_name}/getSite`,
	    method: 'post',
		data:data
	  })
	},	
	//油站导航 查询路径点附近的油站信息 (无鉴权 免登陆)
	getSiteByGeoHash(data) {
	  return request({
	    url: `/${service_name}/${group_name}/getSiteByGeoHash`,
	    method: 'post',
		data:data
	  })
	},
	//油站导航 查询路径点附近的油站信息 (鉴权 需登陆)
	getByGeoHash(data) {
	  return request({
	    url: `/${service_name}/${group_name}/getByGeoHash`,
	    method: 'post',
		data:data
	  })
	},
	//根据id查询单个油站信息
	getSiteInfoById(data) {
	  return request({
	    url: `/${service_name}/${group_name}/getSiteInfoById`,
	    method: 'post',
		data:data
	  })
	},
	//分页查询油站油价信息
	findSiteInfoByPage(data) {
	  return request({
	    url: `/${service_name}/${group_name}/findSiteInfoByPage`,
	    method: 'post',
		data:data
	  })
	},
}